Webhook Event ReferenceCustomers
customer.updated
Triggers when a customer is updated.
Request Body
application/json
api_version?string
API Version of the object data schema.
data?
event_id?string
Unique id associated with this webhook event.
Format
uuidevent_type?string
Webhook event type of the current event.
object?string
Object data type.
webhook?
Response Body
Example Requests
POST
/customer.updated{
"api_version": "2024-04-01",
"data": {
"accepts_marketing": false,
"addresses": [
{
"country": "string",
"first_name": "string",
"id": 0,
"is_default_for_billing": false,
"is_default_for_shipping": false,
"last_name": "string",
"line1": "string",
"line2": "string",
"line3": "string",
"line4": "string",
"notes": "string",
"phone_number": "string",
"postcode": "string",
"state": "string"
}
],
"date_joined": "2024-01-01T00:00:00Z",
"email": "user@example.com",
"first_name": "string",
"id": 0,
"ip": null,
"is_blocked": false,
"language": null,
"last_name": "string",
"metadata": {},
"orders_count": 0,
"phone_number": null,
"subscriptions_count": 0,
"tags": [],
"total_spent": "0.00",
"user_agent": null,
"user_type": "string"
},
"event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
"event_type": "customer.updated",
"object": "customer",
"webhook": {
"events": [
"customer.updated"
],
"id": 1,
"store": "example",
"target": "https://example.com/webhook/"
}
}